﻿using System.Collections.ObjectModel;
using System.ComponentModel;

namespace XCEEnteredText
{
    class ViewModel : INotifyPropertyChanged
    {
        private string textFromXamComboEditor { get; set; }
        private ObservableCollection<string> comboItems { get; set; }

        public ViewModel()
        {
            this.textFromXamComboEditor = "";
            this.comboItems = new ObservableCollection<string>
            {
                "Item 1", "Item2","Item3","Item4"
            };
        }

        public string TextFromXamComboEditor
        {
            get
            {
                return this.textFromXamComboEditor;
            }
            set
            {
                if (this.textFromXamComboEditor != value)
                {
                    this.textFromXamComboEditor = value;
                    OnPropertyChanged("TextFromXamComboEditor");
                }
            }
        }

        public ObservableCollection<string> ComboItems
        {
            get
            {
                return this.comboItems;
            }
            set
            {
                if (this.comboItems != value)
                {
                    this.comboItems = value;
                    OnPropertyChanged("ComboItems");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
